<?php

include_once("Klassendiagramm.php");

class Mitarbeiter2 extends Person
{

    
    private int $gruppierung = 0;
    private int $steuerklasse = 0;
    private string $kontonummer = "0";


    public function setSteuerklasse(int $sk)
    { 
        $this->steuerklasse = $sk;
    }

    public function getSteuerklasse()
    {
        return $this->steuerklasse;
    }

    public function setGruppierung(int $sg)
    {
        $this->gruppierung = $sg;
    }

    public function getGruppierung()
    {
        return $this->gruppierung;
    }

    public function setKontonummer(string $kn)
    {
        $this->kontonummer = $kn;
    }

    public function getKontonummer()
    {
        return $this->kontonummer;
    }
}




$test = new Mitarbeiter2("Meier", "Hännschen");


$test->setSteuerklasse(3);

$test->setKontonummer("DE489654655465450012");

$test->setGruppierung(10);


echo "<p>Der Mitarbeiter Hänschen Meier hat die Kontonummer " .$test->getKontonummer() 
.". Die Steuerklasse ist " .$test->getSteuerklasse() 
." und die Gruppierung " .$test->getGruppierung() .". </p>\t\n";


var_dump($test);



?>